sane-find-scanner(1)

BEZEICHNUNG
sane-find-scanner - SCSI- und USB-Scanner und deren Gerätedateien finden

ÜBERSICHT
sane-find-scanner [-?|-h|--help] [-v] [-q] [-p] [-f] [-F Dateiname] [Gerätename]

BESCHREIBUNG
sane-find-scanner ist ein Befehlszeilenwerkzeug zum Finden von SCSI- und USB-Scannern und zum Bestimmen von deren UNIX-Gerätedateien. Das primäre Ziel ist sicherzustellen, dass Scanner von den SANE-Backends erkannt werden können.

Für SCSI-Scanner werden die vorgegebenen generischen SCSI-Gerätedateien (zum Beispiel /dev/sg0) und die Datei /dev/scanner überprüft. Dafür wird ein SCSI-Inquiry-Befehl gesendet und nach den Gerätetypen »scanner« oder »processor« geschaut (einige alte HP-Scanner scheinen »processor« zu senden). Auf diese Weise findet sane-find-scanner jeden SCSI-Scanner, der mit diesen vorgegebenen Gerätedateien verbunden ist, und zwar selbst dann, wenn er von keinem SANE-Backend unterstützt wird.

Für USB-Scanner werden zunächst die USB-Kernel-Scanner-Gerätedateien (zum Beispiel /dev/usb/scanner0, /dev/usb/scanner und /dev/usbscanner) geprüft. Die Dateien werden geöffnet und die Anbieter- und Gerätekennungen ermittelt, falls das Betriebssystem diese Funktion unterstützt. Gegenwärtig können USB-Scanner nur auf diese Weise gefunden werden, wenn sie vom Linux-Scanner-Modul oder vom Uscanner-Treiber auf FreeBSD- oder OpenBSD-Systemen unterstützt werden. Nach diesem Test versucht sane-find-scanner, von der USB-Bibliothek Libusb gefundene Geräte zu finden (falls verfügbar). Da es keine spezielle USB-Klasse für Scanner gibt, ist die für die Unterscheidung zwischen Scannern und anderen USB-Geräten verwendete Heuristik nicht perfekt. sane-find-scanner versucht auch, den Typ des im Scanner verwendeten USB-Chips zu ermitteln. Falls dieser erkannt wird, wird er nach den Anbieter- und Produktkennungen ausgegeben. sane-find-scanner wird sogar USB-Scanner finden, die von keinem SANE-Backend unterstützt werden.

sane-find-scanner findet die meisten Parallelport-Scanner und jene, die an proprietären Schnittstellen angeschlossen sind, nicht. Einige Parallelport-Scanner könnten mit sane-find-scanner -p gefunden werden. Zum Zeitpunkt der Erstellung dieses Dokuments werden nur Parallelport-Scanner von Mustek erkannt.

OPTIONEN

-?, -h, --help
    gibt eine kurze Hilfe zur Verwendung aus.

-v  aktiviert die ausführliche Ausgabe. sane-find-scanner zeigt jeden Gerätenamen und das zugehörige Ergebnis an. Wenn Sie diese Option zweimal angeben, werden außerdem die SCSI-Inquiry-Informationen und die USB-Gerätedeskriptoren ausgegeben.

-q  aktiviert den stillen Modus. Es werden nur die Geräte ohne Kommentare ausgegeben.

-p  sucht nach Parallelport-Scannern.

-f  erzwingt das Öffnen aller explizit angegebenen Geräte als SCSI- und USB-Geräte. Das ist nützlich, falls sane-find-scanner den Gerätetyp nicht korrekt ermitteln kann.

-F Dateiname
    sane-find-scanner versucht, den Chipsatz oder die Chipsätze aller in der Datei aufgeführten Scanner zu ermitteln. Eine solche Datei enthält USB-Deskriptoren in dem Format, wie es unter Linux in der Datei /proc/bus/usb/devices verwendet wird. Diese Option ist für Entwickler nützlich, wenn zwar die Ausgabe des Befehls cat /proc/bus/usb/devices zur Verfügung steht, der eigentliche Scanner jedoch nicht.

Gerätedatei
    testet die angegebene »Gerätedatei«. Wenn dieser Gerätename angegeben ist, wird nicht auf weitere Geräte geprüft.

BEISPIEL
sane-find-scanner -v
überprüft alle SCSI- und USB-Geräte auf verfügbare Scanner und gibt eine Zeile für jede Gerätedatei aus.

sane-find-scanner /dev/scanner
sucht nur in /dev/scanner nach einem (SCSI-)Scanner und gibt das Ergebnis aus.

sane-find-scanner -p
sucht nach Parallelport-Scannern.

SIEHE AUCH
sane(7), sane-scsi(5), sane-usb(5), scanimage(1), xscanimage(1), xsane(1), sane-»Backend-Name«(5)

AUTOR
Oliver Rauch, Henning Meier-Geinitz und andere

UNTERSTÜTZTE PLATTFORMEN
USB-Unterstützung ist nur unter Linux (Kernel, Libusb), FreeBSD (Kernel, Libusb), NetBSD (Libusb) und OpenBSD (Kernel, Libusb) verfügbar. Die Erkennung von Anbieter- und Gerätekennungen funktioniert nur mit Linux oder Libusb.

SCSI-Unterstützung ist auf Irix, EMX, Linux, Next, AIX, Solaris, FreeBSD, NetBSD, OpenBSD und HP-UX verfügbar.

FEHLER
Die meisten Parallelport-Scanner werden noch nicht unterstützt.
Es werden nur wenige USB-Chipsätze erkannt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).